Databases
List the databases belonging to a team.
Returns the databases belonging to a team.
Endpoint
GET /api/{team}/databases
Required ability: databases:read
Query parameters
| Parameter | Type | Default | Maximum | Description |
|---|---|---|---|---|
per_page | integer | 20 | 50 | Number of objects per page. |
page | integer | 1 | N/A | The page to retrieve. |
Example request
curl "https://rocketeersapp.com/api/your-team/databases?per_page=20" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Accept: application/json"
Example response
{
"data": [
{
"id": 1,
"name": "apollo_production",
"type": "postgres",
"kind": "primary",
"replicas": 2,
"created_at": "2026-01-15T09:30:00+00:00"
},
{
"id": 2,
"name": "apollo_cache",
"type": "redis",
"kind": "cache",
"replicas": 0,
"created_at": "2026-01-15T09:31:00+00:00"
}
],
"links": {
"first": "https://rocketeersapp.com/api/your-team/databases?page=1",
"last": "https://rocketeersapp.com/api/your-team/databases?page=2",
"prev": null,
"next": "https://rocketeersapp.com/api/your-team/databases?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 2,
"per_page": 20,
"to": 20,
"total": 23,
"path": "https://rocketeersapp.com/api/your-team/databases"
},
"results": 20,
"served_in": "12.07ms"
}